#define F_CPU 1000000UL  // CPU Frequency, this define is used by delay.h
                         //1 MHz is default for the internal clock for atMega88
#include <avr/delay.h>
#include <avr/io.h>

/* Running light
One alternating pin of PORTB is put low each half second, this will result in a running
light on STK200 or any AVR with LED's on PORTB 

Edit the Makefile's MCU = <your MCU>, set F_CPU above to your CPU frequency,
type: make clean program
*/

int main(void)
{
  //set PORTB for output
  DDRB = 0xFF;
	
	unsigned char counter;
	unsigned char i = 0;

  while(1)
  {
		i += 1;      //Count 0 to 7
		if(0 == i%8) //if 8 set to 0
			i=0;

		//set PORTB.2 low
		PORTB &= ~(1<<i);
		

		for(counter = 0; counter < 100 ; ++counter) //100*5 = 500 ms delay 
			_delay_ms(5); //5 ms delay.
		//_delay_ms(double d) is limited to a max delay
		//of 262 ms/F_CPU in MHz.  5ms is valid up to F_CPU of max 52.4 MHz


		//Use the next line to set PORTB.2 high
		PORTB |= 1<<i;
	}
	return 1;//this never happens
}
